## Troubleshooting (Database Manager)

### Use

If errors occur while using the Database Manager Java classes, the system triggers the following exceptions:

Exceptions

Class | When is this exception triggered?
com.sap.dbtech.powertoys.DBMException | When the Database Manager registers an error
com.sap.dbtech.rte.comm.RTEException | When the Java platform cannot set up a connection to the Database Manager When an existing connection is interrupted

### Features

Methods of the com.sap.dbtech.powertoys.DBMException Class

Method | Description
public int getErrorCode() | The system issues the Database Manager error code.
public String getErrorID() | The system issues the Database Manager error number.
public String toString() | The system issues the exception as a string object.

See also:

Example: Displaying the Operational State of the Database Instance